/* ============================================================
 * 
 * This file is a part of kipi-plugins project
 * http://www.digikam.org
 *
 * Date        : 2012-03-15
 * Description : a plugin to create panorama by fusion of several images.
 *
 * Copyright (C) 2012-2015 by Benjamin Girault <benjamin dot girault at gmail dot com>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef TASK_H
#define TASK_H

// Qt includes

#include <QProcess>

// KDE includes

#include <ThreadWeaver/Job>

// Local includes

#include "actions.h"

namespace KIPIPanoramaPlugin
{

class Task : public ThreadWeaver::Job
{
public:

    QString      errString;
    const Action action;

protected:

    bool         successFlag;
    bool         isAbortedFlag;
    const QUrl   tmpDir;

public:

    Task(Action action, const QString& workDirPath);
    ~Task();

    bool success() const;
    void requestAbort();
};

}  // namespace KIPIPanoramaPlugin

#endif /* TASK_H */
